#!/usr/local/bin/python
#----------------------------------------------------------------------------------------------------
#$Header$
#----------------------------------------------------------------------------------------------------
#David T. Ashley, 11/11/2018
#Chapter 5 Python experiments
#----------------------------------------------------------------------------------------------------
#Importing of modules.
import sys

#Determining which system one is running on.
print(sys.platform)

#Arbitrary-precision arithmetic:  integers grow automatically.
print(2**100)

#String repetition.
x = 'Spam! '
print(x*8)

#Pausing to accept the <ENTER> key--useful when using an icon to launch
#a script.
#input()

#String concatenation, comment.
print('The bright side of' + ' Life ...') #Comment.

#Built in methods.  Conversion of strings to lists.
s='Spam'
print(s.find('pa'))
print(s.replace('pa', 'XYZ'))
line='aaa,bbb,ccccc,dd'
print(line.split(','))
print(s.upper())
print(s.isalpha())
print(s.isdigit())

#Standard string operations that may be useful.
line='aaa,bbb,ccccc,dd'
print(line.rstrip())

#Combine two operations.  Note that rstrip() runs first, because Python does
#this from left to right.  This is counterintuitive, at least to me.
print(line.rstrip().split(','))

#Formatting.  This seems to behave essentially like sprintf() in C.
print('%s, eggs, and %s' % ('spam', 'SPAM!'))
print('{0}, eggs, and {1}'.format('spam', 'SPAM!'))
print('{1}, eggs, and {0}'.format('spam', 'SPAM!'))
print('{1}, eggs, and {1}'.format('spam', 'SPAM!'))
print('{:,.2f}'.format(296999.2567))
print('%.2f | %+05d' % (3.14159, -42))

#Find out what methods are available for strings.  The names with
#double underscores are for operator overloading, discussed later.
#In general, the names with leading or trailing double underscores
#have to do with implementation of Python internals.
q='Now is the time'
print(dir(q))




